@charset "UTF-8";
/* ---- 顏色庫 ---- */
/* ---- 圓角半徑 ---- */
/* ---- 字體 ---- */
/* ---- 滑鼠手勢 ---- */
/* ---- 版面排版 ---- */
/* ---- 版面定位 ---- */
/* ---- RWD的斷點 ---- */
/* ---- 共同設定 ---- */
/* ---- CLEARFIX ---- */
@import url(https://fonts.googleapis.com/earlyaccess/notosanstc.css);
@import url(https://fonts.googleapis.com/earlyaccess/cwtexkai.css);
@import url(https://fonts.googleapis.com/earlyaccess/cwtexkai.css);

* {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  letter-spacing: 1px;
  margin: 0;
  padding: 0;
}

html {
  font-family: "Noto Sans TC", sans-serif;
  -webkit-text-size-adjust: none;
  -ms-text-size-adjust: none;
}

body {
  color: #4a4a4a;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

ul {
  list-style-type: none;
}

.clearfix:after {
  content: "";
  clear: both;
  display: block;
}

/* --Http狀態錯誤的CSS--------------------------------- */
.httpErrorBox {
  bottom: 0;
  display: block;
  left: 0;
  margin: auto;
  max-width: 500px;
  position: absolute;
  right: 0;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 100%;
}

.httpErrorBox img.httpErrorPic {
  -webkit-animation: contentSlideUp 1s cubic-bezier(0.65, 0, 0.35, 1) 0s forwards;
  animation: contentSlideUp 1s cubic-bezier(0.65, 0, 0.35, 1) 0s forwards;
  display: block;
  height: auto;
  margin: 0 auto;
  max-width: 500px;
  opacity: 0;
}

.httpErrorBox .httpErrorText {
  -webkit-animation: contentSlideUp 1s cubic-bezier(0.65, 0, 0.35, 1) 0.66s forwards;
  animation: contentSlideUp 1s cubic-bezier(0.65, 0, 0.35, 1) 0.66s forwards;
  opacity: 0;
  margin: 36px auto 0 auto;
  max-width: 500px;
  position: relative;
  width: 100%;
}

.httpErrorBox .httpErrorText:before,
.httpErrorBox .httpErrorText:after {
  -webkit-animation: contentSlideUp 1s cubic-bezier(0.65, 0, 0.35, 1) 1.2s forwards;
  animation: contentSlideUp 1s cubic-bezier(0.65, 0, 0.35, 1) 1.2s forwards;
  opacity: 0;
}

.httpErrorBox .httpErrorText:before {
  content: "";
  background: #ddd;
  bottom: 0;
  display: block;
  height: 1px;
  left: -72px;
  margin: auto;
  position: absolute;
  top: 0;
  width: 80px;
}

.httpErrorBox .httpErrorText:after {
  content: "";
  background: #ddd;
  bottom: 0;
  display: block;
  height: 1px;
  margin: auto;
  position: absolute;
  right: -72px;
  top: 0;
  width: 80px;
}

.httpErrorBox .httpErrorText h3 {
  color: #4a4a4a;
  font-size: 30px;
  text-align: center;
}

.httpErrorBox .httpErrorText p {
  color: #4a4a4a;
  font-size: 22px;
  font-weight: 600;
  padding-top: 10px;
  text-align: center;
}

/* --動畫的CSS--------------------------------- */
@-webkit-keyframes contentSlideUp {
  from {
    opacity: 0;
    -webkit-transform: translateY(34px);
    transform: translateY(34px);
  }

  to {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes contentSlideUp {
  from {
    opacity: 0;
    -webkit-transform: translateY(34px);
    transform: translateY(34px);
  }

  to {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

/* --手機的CSS--------------------------------- */
@media screen and (max-width: 760px) {
  .httpErrorBox {
    max-width: 300px;
  }

  .httpErrorBox img.httpErrorPic {
    max-width: 300px;
  }

  .httpErrorBox .httpErrorText {
    margin: 20px auto 0 auto;
    max-width: 300px;
  }

  .httpErrorBox .httpErrorText:before,
  .httpErrorBox .httpErrorText:after {
    width: 40px;
  }

  .httpErrorBox .httpErrorText:before {
    left: -40px;
  }

  .httpErrorBox .httpErrorText:after {
    right: -40px;
  }

  .httpErrorBox .httpErrorText h3 {
    font-size: 18px;
  }

  .httpErrorBox .httpErrorText p {
    font-size: 14px;
    padding-top: 8px;
  }
}

@media screen and (max-width: 414px) {

  .httpErrorBox .httpErrorText:before,
  .httpErrorBox .httpErrorText:after {
    display: none;
  }
}